You Are Viewing

A Blog Post

Prevent Identity Theft by a Poodle

There’s a new identity theft threat that you can easily fix with simple changes to your Internet browser.

POODLE – which stands for “Padding Oracle On Downgraded Legacy Encryption” – describes a security vulnerability in the SSL Version 3 cryptogram used by older Internet browsers.

SSL is what your web browser uses to securely send data to web servers when you’re entering information like credit cards.

Protect your online credit card purchases

Visit this site for instructions on how to disable SSLv3 in your web browser. 

 

Leave a Reply

we change the way consumers see your company